diff -Naur phpbb-3.1.0-RC4/includes/functions_jabber.php phpbb-3.1.0-RC4-HTML5/includes/functions_jabber.php
--- phpbb-3.1.0-RC4/includes/functions_jabber.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_jabber.php	2014-09-21 12:00:00.000000000 +0200
@@ -263,7 +263,7 @@
 	{
 		if ($this->enable_logging && sizeof($this->log_array))
 		{
-			return implode("<br /><br />", $this->log_array);
+			return implode("<br><br>", $this->log_array);
 		}
 
 		return '';
diff -Naur phpbb-3.1.0-RC4/includes/functions_messenger.php phpbb-3.1.0-RC4-HTML5/includes/functions_messenger.php
--- phpbb-3.1.0-RC4/includes/functions_messenger.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_messenger.php	2014-09-21 12:00:00.000000000 +0200
@@ -296,7 +296,7 @@
 		// We add some standard variables we always use, no need to specify them always
 		$this->assign_vars(array(
 			'U_BOARD'	=> generate_board_url(),
-			'EMAIL_SIG'	=> str_replace('<br />', "\n", "-- \n" . htmlspecialchars_decode($config['board_email_sig'])),
+			'EMAIL_SIG'	=> str_replace('<br>', "\n", "-- \n" . htmlspecialchars_decode($config['board_email_sig'])),
 			'SITENAME'	=> htmlspecialchars_decode($config['sitename']),
 		));
 
@@ -377,7 +377,7 @@
 			break;
 		}
 
-		$message .= '<br /><em>' . htmlspecialchars($calling_page) . '</em><br /><br />' . $msg . '<br />';
+		$message .= '<br><em>' . htmlspecialchars($calling_page) . '</em><br><br>' . $msg . '<br>';
 		add_log('critical', 'LOG_ERROR_' . $type, $message);
 	}
 
@@ -595,13 +595,13 @@
 
 			if (!$this->jabber->connect())
 			{
-				$this->error('JABBER', $user->lang['ERR_JAB_CONNECT'] . '<br />' . $this->jabber->get_log());
+				$this->error('JABBER', $user->lang['ERR_JAB_CONNECT'] . '<br>' . $this->jabber->get_log());
 				return false;
 			}
 
 			if (!$this->jabber->login())
 			{
-				$this->error('JABBER', $user->lang['ERR_JAB_AUTH'] . '<br />' . $this->jabber->get_log());
+				$this->error('JABBER', $user->lang['ERR_JAB_AUTH'] . '<br>' . $this->jabber->get_log());
 				return false;
 			}
 
@@ -1012,7 +1012,7 @@
 		}
 
 		$err_msg = (isset($user->lang['NO_CONNECT_TO_SMTP_HOST'])) ? sprintf($user->lang['NO_CONNECT_TO_SMTP_HOST'], $errno, $errstr) : "Could not connect to smtp host : $errno : $errstr";
-		$err_msg .= ($error_contents) ? '<br /><br />' . htmlspecialchars($error_contents) : '';
+		$err_msg .= ($error_contents) ? '<br><br>' . htmlspecialchars($error_contents) : '';
 		return false;
 	}
 
@@ -1074,7 +1074,7 @@
 	if (!$rcpt)
 	{
 		$user->session_begin();
-		$err_msg .= '<br /><br />';
+		$err_msg .= '<br><br>';
 		$err_msg .= (isset($user->lang['INVALID_EMAIL_LOG'])) ? sprintf($user->lang['INVALID_EMAIL_LOG'], htmlspecialchars($mail_to_address)) : '<strong>' . htmlspecialchars($mail_to_address) . '</strong> possibly an invalid email address?';
 		$smtp->close_session($err_msg);
 		return false;
@@ -1215,7 +1215,7 @@
 
 		if ($this->backtrace)
 		{
-			$message = '<h1>Backtrace</h1><p>' . implode('<br />', $this->backtrace_log) . '</p>';
+			$message = '<h1>Backtrace</h1><p>' . implode('<br>', $this->backtrace_log) . '</p>';
 			$err_msg .= $message;
 		}
 	}
diff -Naur phpbb-3.1.0-RC4/includes/functions_posting.php phpbb-3.1.0-RC4-HTML5/includes/functions_posting.php
--- phpbb-3.1.0-RC4/includes/functions_posting.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_posting.php	2014-09-21 12:00:00.000000000 +0200
@@ -875,7 +875,7 @@
 
 			foreach ($attach_row as $key => $value)
 			{
-				$hidden .= '<input type="hidden" name="attachment_data[' . $count . '][' . $key . ']" value="' . $value . '" />';
+				$hidden .= '<input type="hidden" name="attachment_data[' . $count . '][' . $key . ']" value="' . $value . '">';
 			}
 
 			$download_link = append_sid("{$phpbb_root_path}download/file.$phpEx", 'mode=view&amp;id=' . (int) $attach_row['attach_id'], true, ($attach_row['is_orphan']) ? $user->session_id : false);
@@ -2590,14 +2590,14 @@
 
 				if (!$request->is_ajax())
 				{
-					$message .= '<br /><br />' . $user->lang('RETURN_TOPIC', '<a href="' . $meta_info . '">', '</a>');
+					$message .= '<br><br>' . $user->lang('RETURN_TOPIC', '<a href="' . $meta_info . '">', '</a>');
 				}
 			}
 
 			meta_refresh(3, $meta_info);
 			if (!$request->is_ajax())
 			{
-				$message .= '<br /><br />' . $user->lang('RETURN_FORUM', '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", 'f=' . $forum_id) . '">', '</a>');
+				$message .= '<br><br>' . $user->lang('RETURN_FORUM', '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", 'f=' . $forum_id) . '">', '</a>');
 			}
 			trigger_error($message);
 		}
diff -Naur phpbb-3.1.0-RC4/includes/functions_privmsgs.php phpbb-3.1.0-RC4-HTML5/includes/functions_privmsgs.php
--- phpbb-3.1.0-RC4/includes/functions_privmsgs.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/functions_privmsgs.php	2014-09-21 12:00:00.000000000 +0200
@@ -808,7 +808,7 @@
 
 			if ($message_limit && $row['pm_count'] + sizeof($move_msg_ids) > $message_limit)
 			{
-				$message = sprintf($user->lang['NOT_ENOUGH_SPACE_FOLDER'], $row['folder_name']) . '<br /><br />';
+				$message = sprintf($user->lang['NOT_ENOUGH_SPACE_FOLDER'], $row['folder_name']) . '<br><br>';
 				$message .= sprintf($user->lang['CLICK_RETURN_FOLDER'], '<a href="' . append_sid("{$phpbb_root_path}ucp.$phpEx", 'i=pm&amp;folder=' . $row['folder_id']) . '">', '</a>', $row['folder_name']);
 				trigger_error($message);
 			}
@@ -825,7 +825,7 @@
 
 			if ($message_limit && $num_messages + sizeof($move_msg_ids) > $message_limit)
 			{
-				$message = sprintf($user->lang['NOT_ENOUGH_SPACE_FOLDER'], $user->lang['PM_INBOX']) . '<br /><br />';
+				$message = sprintf($user->lang['NOT_ENOUGH_SPACE_FOLDER'], $user->lang['PM_INBOX']) . '<br><br>';
 				$message .= sprintf($user->lang['CLICK_RETURN_FOLDER'], '<a href="' . append_sid("{$phpbb_root_path}ucp.$phpEx", 'i=pm&amp;folder=inbox') . '">', '</a>', $user->lang['PM_INBOX']);
 				trigger_error($message);
 			}
@@ -960,7 +960,7 @@
 				$redirect = append_sid("{$phpbb_root_path}ucp.$phpEx", 'i=pm&amp;folder=' . $cur_folder_id);
 
 				meta_refresh(3, $redirect);
-				trigger_error($user->lang[$success_msg] . '<br /><br />' . sprintf($user->lang['RETURN_FOLDER'], '<a href="' . $redirect . '">', '</a>'));
+				trigger_error($user->lang[$success_msg] . '<br><br>' . sprintf($user->lang['RETURN_FOLDER'], '<a href="' . $redirect . '">', '</a>'));
 			}
 			else
 			{
diff -Naur phpbb-3.1.0-RC4/includes/mcp/mcp_ban.php phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_ban.php
--- phpbb-3.1.0-RC4/includes/mcp/mcp_ban.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_ban.php	2014-09-21 12:00:00.000000000 +0200
@@ -63,7 +63,7 @@
 				{
 					user_ban($mode, $ban, $ban_len, $ban_len_other, $ban_exclude, $ban_reason, $ban_give_reason);
 
-					trigger_error($user->lang['BAN_UPDATE_SUCCESSFUL'] . '<br /><br /><a href="' . $this->u_action . '">&laquo; ' . $user->lang['BACK_TO_PREV'] . '</a>');
+					trigger_error($user->lang['BAN_UPDATE_SUCCESSFUL'] . '<br><br><a href="' . $this->u_action . '">&laquo; ' . $user->lang['BACK_TO_PREV'] . '</a>');
 				}
 				else
 				{
@@ -89,7 +89,7 @@
 				{
 					user_unban($mode, $ban);
 
-					trigger_error($user->lang['BAN_UPDATE_SUCCESSFUL'] . '<br /><br /><a href="' . $this->u_action . '">&laquo; ' . $user->lang['BACK_TO_PREV'] . '</a>');
+					trigger_error($user->lang['BAN_UPDATE_SUCCESSFUL'] . '<br><br><a href="' . $this->u_action . '">&laquo; ' . $user->lang['BACK_TO_PREV'] . '</a>');
 				}
 				else
 				{
diff -Naur phpbb-3.1.0-RC4/includes/mcp/mcp_forum.php phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_forum.php
--- phpbb-3.1.0-RC4/includes/mcp/mcp_forum.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_forum.php	2014-09-21 12:00:00.000000000 +0200
@@ -355,7 +355,7 @@
 	$redirect = request_var('redirect', $user->data['session_page']);
 
 	meta_refresh(3, $redirect);
-	trigger_error($msg . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
+	trigger_error($msg . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
 
 	return;
 }
@@ -468,12 +468,12 @@
 		sync('forum', 'forum_id', $sync_forums, true, true);
 
 		// Link to the new topic
-		$return_link .= (($return_link) ? '<br /><br />' : '') . sprintf($user->lang['RETURN_NEW_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'f=' . $to_forum_id . '&amp;t=' . $to_topic_id) . '">', '</a>');
+		$return_link .= (($return_link) ? '<br><br>' : '') . sprintf($user->lang['RETURN_NEW_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'f=' . $to_forum_id . '&amp;t=' . $to_topic_id) . '">', '</a>');
 		$redirect = request_var('redirect', "{$phpbb_root_path}viewtopic.$phpEx?f=$to_forum_id&amp;t=$to_topic_id");
 		$redirect = reapply_sid($redirect);
 
 		meta_refresh(3, $redirect);
-		trigger_error($user->lang[$success_msg] . '<br /><br />' . $return_link);
+		trigger_error($user->lang[$success_msg] . '<br><br>' . $return_link);
 	}
 	else
 	{
diff -Naur phpbb-3.1.0-RC4/includes/mcp/mcp_main.php phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_main.php
--- phpbb-3.1.0-RC4/includes/mcp/mcp_main.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_main.php	2014-09-21 12:00:00.000000000 +0200
@@ -304,7 +304,7 @@
 
 		if (!$request->is_ajax())
 		{
-			$message .= '<br /><br />' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
+			$message .= '<br><br>' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
 		}
 		trigger_error($message);
 	}
@@ -405,7 +405,7 @@
 
 		if (!$request->is_ajax())
 		{
-			$message .= '<br /><br />' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
+			$message .= '<br><br>' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
 		}
 		trigger_error($message);
 	}
@@ -666,9 +666,9 @@
 		meta_refresh(3, $redirect);
 
 		$message = $user->lang[$success_msg];
-		$message .= '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>');
-		$message .= '<br /><br />' . sprintf($user->lang['RETURN_FORUM'], '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", "f=$forum_id") . '">', '</a>');
-		$message .= '<br /><br />' . sprintf($user->lang['RETURN_NEW_FORUM'], '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", "f=$to_forum_id") . '">', '</a>');
+		$message .= '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>');
+		$message .= '<br><br>' . sprintf($user->lang['RETURN_FORUM'], '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", "f=$forum_id") . '">', '</a>');
+		$message .= '<br><br>' . sprintf($user->lang['RETURN_NEW_FORUM'], '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", "f=$to_forum_id") . '">', '</a>');
 
 		trigger_error($message);
 	}
@@ -743,7 +743,7 @@
 	else
 	{
 		meta_refresh(3, $redirect);
-		trigger_error($user->lang[$success_msg] . '<br /><br />' . sprintf($user->lang['RETURN_' . $redirect_message], '<a href="' . $redirect . '">', '</a>'));
+		trigger_error($user->lang[$success_msg] . '<br><br>' . sprintf($user->lang['RETURN_' . $redirect_message], '<a href="' . $redirect . '">', '</a>'));
 	}
 }
 
@@ -871,7 +871,7 @@
 	else
 	{
 		meta_refresh(3, $redirect);
-		trigger_error($user->lang[$success_msg] . '<br /><br />' . sprintf($user->lang['RETURN_' . $redirect_message], '<a href="' . $redirect . '">', '</a>'));
+		trigger_error($user->lang[$success_msg] . '<br><br>' . sprintf($user->lang['RETURN_' . $redirect_message], '<a href="' . $redirect . '">', '</a>'));
 	}
 }
 
@@ -1035,7 +1035,7 @@
 			if ($deleted_topics)
 			{
 				// Some of topics disappeared
-				$success_msg = $user->lang['POSTS_DELETED_SUCCESS'] . '<br /><br />' . $user->lang['EMPTY_TOPICS_REMOVED_WARNING'];
+				$success_msg = $user->lang['POSTS_DELETED_SUCCESS'] . '<br><br>' . $user->lang['EMPTY_TOPICS_REMOVED_WARNING'];
 			}
 			else
 			{
@@ -1097,7 +1097,7 @@
 		}
 
 		meta_refresh(3, $redirect);
-		trigger_error($success_msg . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>') . '<br /><br />' . implode('<br /><br />', $return_link));
+		trigger_error($success_msg . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>') . '<br><br>' . implode('<br><br>', $return_link));
 	}
 }
 
@@ -1495,9 +1495,9 @@
 
 		if ($forum_id != $to_forum_id)
 		{
-			$return_link .= '<br /><br />' . sprintf($user->lang['RETURN_NEW_FORUM'], '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", 'f=' . $to_forum_id) . '">', '</a>');
+			$return_link .= '<br><br>' . sprintf($user->lang['RETURN_NEW_FORUM'], '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", 'f=' . $to_forum_id) . '">', '</a>');
 		}
 
-		trigger_error($user->lang[$success_msg] . '<br /><br />' . $return_link);
+		trigger_error($user->lang[$success_msg] . '<br><br>' . $return_link);
 	}
 }
diff -Naur phpbb-3.1.0-RC4/includes/mcp/mcp_notes.php phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_notes.php
--- phpbb-3.1.0-RC4/includes/mcp/mcp_notes.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_notes.php	2014-09-21 12:00:00.000000000 +0200
@@ -152,7 +152,7 @@
 				}
 				$redirect = $this->u_action . '&amp;u=' . $user_id;
 				meta_refresh(3, $redirect);
-				trigger_error($user->lang[$msg] . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
+				trigger_error($user->lang[$msg] . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
 			}
 		}
 
@@ -173,7 +173,7 @@
 			$redirect = $this->u_action;
 			meta_refresh(3, $redirect);
 
-			trigger_error($msg .  '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
+			trigger_error($msg .  '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
 		}
 
 		// Generate the appropriate user information for the user we are looking at
diff -Naur phpbb-3.1.0-RC4/includes/mcp/mcp_queue.php phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_queue.php
--- phpbb-3.1.0-RC4/includes/mcp/mcp_queue.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_queue.php	2014-09-21 12:00:00.000000000 +0200
@@ -777,12 +777,12 @@
 					'visible'			=> true,
 				));
 			}
-			$message .= '<br /><br />' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
+			$message .= '<br><br>' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
 
 			// If approving one post, also give links back to post...
 			if (sizeof($post_info) == 1 && $post_url)
 			{
-				$message .= '<br /><br />' . $user->lang('RETURN_POST', '<a href="' . $post_url . '">', '</a>');
+				$message .= '<br><br>' . $user->lang('RETURN_POST', '<a href="' . $post_url . '">', '</a>');
 			}
 			trigger_error($message);
 		}
@@ -958,12 +958,12 @@
 					'visible'			=> true,
 				));
 			}
-			$message .= '<br /><br />' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
+			$message .= '<br><br>' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
 
 			// If approving one topic, also give links back to topic...
 			if (sizeof($topic_info) == 1 && $topic_url)
 			{
-				$message .= '<br /><br />' . $user->lang('RETURN_TOPIC', '<a href="' . $topic_url . '">', '</a>');
+				$message .= '<br><br>' . $user->lang('RETURN_TOPIC', '<a href="' . $topic_url . '">', '</a>');
 			}
 			trigger_error($message);
 		}
@@ -1288,7 +1288,7 @@
 					'visible'			=> false,
 				));
 			}
-			$message .= '<br /><br />' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
+			$message .= '<br><br>' . $user->lang('RETURN_PAGE', '<a href="' . $redirect . '">', '</a>');
 			trigger_error($message);
 		}
 		else
diff -Naur phpbb-3.1.0-RC4/includes/mcp/mcp_reports.php phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_reports.php
--- phpbb-3.1.0-RC4/includes/mcp/mcp_reports.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_reports.php	2014-09-21 12:00:00.000000000 +0200
@@ -727,15 +727,15 @@
 		{
 			if (sizeof($forum_ids) === 1)
 			{
-				$return_forum = sprintf($user->lang['RETURN_FORUM'], '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", 'f=' . current($forum_ids)) . '">', '</a>') . '<br /><br />';
+				$return_forum = sprintf($user->lang['RETURN_FORUM'], '<a href="' . append_sid("{$phpbb_root_path}viewforum.$phpEx", 'f=' . current($forum_ids)) . '">', '</a>') . '<br><br>';
 			}
 
 			if (sizeof($topic_ids) === 1)
 			{
-				$return_topic = sprintf($user->lang['RETURN_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 't=' . current($topic_ids) . '&amp;f=' . current($forum_ids)) . '">', '</a>') . '<br /><br />';
+				$return_topic = sprintf($user->lang['RETURN_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 't=' . current($topic_ids) . '&amp;f=' . current($forum_ids)) . '">', '</a>') . '<br><br>';
 			}
 		}
 
-		trigger_error($user->lang[$success_msg] . '<br /><br />' . $return_forum . $return_topic . sprintf($user->lang['RETURN_PAGE'], "<a href=\"$redirect\">", '</a>'));
+		trigger_error($user->lang[$success_msg] . '<br><br>' . $return_forum . $return_topic . sprintf($user->lang['RETURN_PAGE'], "<a href=\"$redirect\">", '</a>'));
 	}
 }
diff -Naur phpbb-3.1.0-RC4/includes/mcp/mcp_topic.php phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_topic.php
--- phpbb-3.1.0-RC4/includes/mcp/mcp_topic.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_topic.php	2014-09-21 12:00:00.000000000 +0200
@@ -566,12 +566,12 @@
 		set_config_count('num_topics', 1, true);
 
 		// Link back to both topics
-		$return_link = sprintf($user->lang['RETURN_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'f=' . $post_info['forum_id'] . '&amp;t=' . $post_info['topic_id']) . '">', '</a>') . '<br /><br />' . sprintf($user->lang['RETURN_NEW_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'f=' . $to_forum_id . '&amp;t=' . $to_topic_id) . '">', '</a>');
+		$return_link = sprintf($user->lang['RETURN_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'f=' . $post_info['forum_id'] . '&amp;t=' . $post_info['topic_id']) . '">', '</a>') . '<br><br>' . sprintf($user->lang['RETURN_NEW_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'f=' . $to_forum_id . '&amp;t=' . $to_topic_id) . '">', '</a>');
 		$redirect = request_var('redirect', "{$phpbb_root_path}viewtopic.$phpEx?f=$to_forum_id&amp;t=$to_topic_id");
 		$redirect = reapply_sid($redirect);
 
 		meta_refresh(3, $redirect);
-		trigger_error($user->lang[$success_msg] . '<br /><br />' . $return_link);
+		trigger_error($user->lang[$success_msg] . '<br><br>' . $return_link);
 	}
 	else
 	{
@@ -681,12 +681,12 @@
 		sync('forum', 'forum_id', $sync_forums, true, true);
 
 		// Link to the new topic
-		$return_link .= (($return_link) ? '<br /><br />' : '') . sprintf($user->lang['RETURN_NEW_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'f=' . $to_forum_id . '&amp;t=' . $to_topic_id) . '">', '</a>');
+		$return_link .= (($return_link) ? '<br><br>' : '') . sprintf($user->lang['RETURN_NEW_TOPIC'], '<a href="' . append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'f=' . $to_forum_id . '&amp;t=' . $to_topic_id) . '">', '</a>');
 		$redirect = request_var('redirect', "{$phpbb_root_path}viewtopic.$phpEx?f=$to_forum_id&amp;t=$to_topic_id");
 		$redirect = reapply_sid($redirect);
 
 		meta_refresh(3, $redirect);
-		trigger_error($user->lang[$success_msg] . '<br /><br />' . $return_link);
+		trigger_error($user->lang[$success_msg] . '<br><br>' . $return_link);
 	}
 	else
 	{
diff -Naur phpbb-3.1.0-RC4/includes/mcp/mcp_warn.php phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_warn.php
--- phpbb-3.1.0-RC4/includes/mcp/mcp_warn.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/mcp/mcp_warn.php	2014-09-21 12:00:00.000000000 +0200
@@ -324,7 +324,7 @@
 			{
 				$redirect = append_sid("{$phpbb_root_path}mcp.$phpEx", "i=notes&amp;mode=user_notes&amp;u=$user_id");
 				meta_refresh(2, $redirect);
-				trigger_error($message . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
+				trigger_error($message . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
 			}
 		}
 
@@ -481,7 +481,7 @@
 			{
 				$redirect = append_sid("{$phpbb_root_path}mcp.$phpEx", "i=notes&amp;mode=user_notes&amp;u=$user_id");
 				meta_refresh(2, $redirect);
-				trigger_error($message . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
+				trigger_error($message . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $redirect . '">', '</a>'));
 			}
 		}
 
diff -Naur phpbb-3.1.0-RC4/includes/message_parser.php phpbb-3.1.0-RC4-HTML5/includes/message_parser.php
--- phpbb-3.1.0-RC4/includes/message_parser.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/message_parser.php	2014-09-21 12:00:00.000000000 +0200
@@ -1144,7 +1144,7 @@
 		// Maximum message length check. 0 disables this check completely.
 		if ((int) $config['max_' . $mode . '_chars'] > 0 && $message_length > (int) $config['max_' . $mode . '_chars'])
 		{
-			$this->warn_msg[] = $user->lang('CHARS_' . strtoupper($mode) . '_CONTAINS', $message_length) . '<br />' . $user->lang('TOO_MANY_CHARS_LIMIT', (int) $config['max_' . $mode . '_chars']);
+			$this->warn_msg[] = $user->lang('CHARS_' . strtoupper($mode) . '_CONTAINS', $message_length) . '<br>' . $user->lang('TOO_MANY_CHARS_LIMIT', (int) $config['max_' . $mode . '_chars']);
 			return (!$update_this_message) ? $return_message : $this->warn_msg;
 		}
 
@@ -1153,7 +1153,7 @@
 		{
 			if (!$message_length || $message_length < (int) $config['min_post_chars'])
 			{
-				$this->warn_msg[] = (!$message_length) ? $user->lang['TOO_FEW_CHARS'] : ($user->lang('CHARS_POST_CONTAINS', $message_length) . '<br />' . $user->lang('TOO_FEW_CHARS_LIMIT', (int) $config['min_post_chars']));
+				$this->warn_msg[] = (!$message_length) ? $user->lang['TOO_FEW_CHARS'] : ($user->lang('CHARS_POST_CONTAINS', $message_length) . '<br>' . $user->lang('TOO_FEW_CHARS_LIMIT', (int) $config['min_post_chars']));
 				return (!$update_this_message) ? $return_message : $this->warn_msg;
 			}
 		}
@@ -1204,7 +1204,7 @@
 		// not supported by utf8_bin in MySQL
 		if (preg_match_all('/[\x{10000}-\x{10FFFF}]/u', $this->message, $matches))
 		{
-			$character_list = implode('<br />', $matches[0]);
+			$character_list = implode('<br>', $matches[0]);
 			$this->warn_msg[] = $user->lang('UNSUPPORTED_CHARACTERS_MESSAGE', $character_list);
 			return $update_this_message ? $this->warn_msg : $return_message;
 		}
@@ -1384,7 +1384,7 @@
 
 				// (assertion)
 				$match[] = preg_quote($row['code'], '#');
-				$replace[] = '<!-- s' . $row['code'] . ' --><img src="{SMILIES_PATH}/' . $row['smiley_url'] . '" alt="' . $row['code'] . '" title="' . $row['emotion'] . '" /><!-- s' . $row['code'] . ' -->';
+				$replace[] = '<!-- s' . $row['code'] . ' --><img src="{SMILIES_PATH}/' . $row['smiley_url'] . '" alt="' . $row['code'] . '" title="' . $row['emotion'] . '"><!-- s' . $row['code'] . ' -->';
 			}
 			$db->sql_freeresult($result);
 		}
diff -Naur phpbb-3.1.0-RC4/includes/ucp/ucp_attachments.php phpbb-3.1.0-RC4-HTML5/includes/ucp/ucp_attachments.php
--- phpbb-3.1.0-RC4/includes/ucp/ucp_attachments.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/ucp/ucp_attachments.php	2014-09-21 12:00:00.000000000 +0200
@@ -78,7 +78,7 @@
 				delete_attachments('attach', $delete_ids);
 
 				meta_refresh(3, $this->u_action);
-				$message = ((sizeof($delete_ids) == 1) ? $user->lang['ATTACHMENT_DELETED'] : $user->lang['ATTACHMENTS_DELETED']) . '<br /><br />' . sprintf($user->lang['RETURN_UCP'], '<a href="' . $this->u_action . '">', '</a>');
+				$message = ((sizeof($delete_ids) == 1) ? $user->lang['ATTACHMENT_DELETED'] : $user->lang['ATTACHMENTS_DELETED']) . '<br><br>' . sprintf($user->lang['RETURN_UCP'], '<a href="' . $this->u_action . '">', '</a>');
 				trigger_error($message);
 			}
 			else
diff -Naur phpbb-3.1.0-RC4/includes/ucp/ucp_auth_link.php phpbb-3.1.0-RC4-HTML5/includes/ucp/ucp_auth_link.php
--- phpbb-3.1.0-RC4/includes/ucp/ucp_auth_link.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/ucp/ucp_auth_link.php	2014-09-21 12:00:00.000000000 +0200
@@ -129,7 +129,7 @@
 
 		// Replace "error" strings with their real, localised form
 		$error = array_map(array($user, 'lang'), $error);
-		$error = implode('<br />', $error);
+		$error = implode('<br>', $error);
 
 		$template->assign_vars(array(
 			'ERROR'	=> $error,
diff -Naur phpbb-3.1.0-RC4/includes/ucp/ucp_groups.php phpbb-3.1.0-RC4-HTML5/includes/ucp/ucp_groups.php
--- phpbb-3.1.0-RC4/includes/ucp/ucp_groups.php	2014-09-21 12:00:00.000000000 +0200
+++ phpbb-3.1.0-RC4-HTML5/includes/ucp/ucp_groups.php	2014-09-21 12:00:00.000000000 +0200
@@ -34,7 +34,7 @@
 
 		$user->add_lang('groups');
 
-		$return_page = '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '">', '</a>');
+		$return_page = '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '">', '</a>');
 
 		$mark_ary	= request_var('mark', array(0));
 		$submit		= $request->variable('submit', false, false, \phpbb\request\request_interface::POST);
@@ -420,8 +420,8 @@
 						'GROUP_DESC_DISP'		=> generate_text_for_display($group_row['group_desc'], $group_row['group_desc_uid'], $group_row['group_desc_bitfield'], $group_row['group_desc_options']),
 						'GROUP_TYPE'			=> $group_row['group_type'],
 
-						'AVATAR'				=> (empty($avatar) ? '<img src="' . $phpbb_admin_path . 'images/no_avatar.gif" alt="" />' : $avatar),
-						'AVATAR_IMAGE'			=> (empty($avatar) ? '<img src="' . $phpbb_admin_path . 'images/no_avatar.gif" alt="" />' : $avatar),
+						'AVATAR'				=> (empty($avatar) ? '<img src="' . $phpbb_admin_path . 'images/no_avatar.gif" alt="">' : $avatar),
+						'AVATAR_IMAGE'			=> (empty($avatar) ? '<img src="' . $phpbb_admin_path . 'images/no_avatar.gif" alt="">' : $avatar),
 						'AVATAR_WIDTH'			=> (isset($group_row['group_avatar_width'])) ? $group_row['group_avatar_width'] : '',
 						'AVATAR_HEIGHT'			=> (isset($group_row['group_avatar_height'])) ? $group_row['group_avatar_height'] : '',
 					));
@@ -689,7 +689,7 @@
 							'S_AVATARS_ENABLED'	=> ($config['allow_avatar'] && $avatars_enabled),
 							'S_GROUP_MANAGE'	=> true,
 
-							'ERROR_MSG'				=> (sizeof($error)) ? implode('<br />', $error) : '',
+							'ERROR_MSG'				=> (sizeof($error)) ? implode('<br>', $error) : '',
 							'GROUP_RECEIVE_PM'		=> (isset($group_row['group_receive_pm']) && $group_row['group_receive_pm']) ? ' checked="checked"' : '',
 							'GROUP_MESSAGE_LIMIT'	=> (isset($group_row['group_message_limit'])) ? $group_row['group_message_limit'] : 0,
 							'GROUP_MAX_RECIPIENTS'	=> (isset($group_row['group_max_recipients'])) ? $group_row['group_max_recipients'] : 0,
@@ -865,7 +865,7 @@
 						// Approve, demote or promote
 						group_user_attributes('approve', $group_id, $mark_ary, false, false);
 
-						trigger_error($user->lang['USERS_APPROVED'] . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
+						trigger_error($user->lang['USERS_APPROVED'] . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
 
 					break;
 
@@ -931,7 +931,7 @@
 
 							$user->add_lang('acp/groups');
 
-							trigger_error($user->lang['GROUP_DEFS_UPDATED'] . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
+							trigger_error($user->lang['GROUP_DEFS_UPDATED'] . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
 						}
 						else
 						{
@@ -979,10 +979,10 @@
 
 							if ($error)
 							{
-								trigger_error($user->lang[$error] . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
+								trigger_error($user->lang[$error] . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
 							}
 
-							trigger_error($user->lang['GROUP_USERS_REMOVE'] . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
+							trigger_error($user->lang['GROUP_USERS_REMOVE'] . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
 						}
 						else
 						{
@@ -1040,7 +1040,7 @@
 								trigger_error($user->lang[$error] . $return_page);
 							}
 
-							trigger_error($user->lang['GROUP_USERS_ADDED'] . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
+							trigger_error($user->lang['GROUP_USERS_ADDED'] . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
 						}
 						else
 						{
@@ -1056,7 +1056,7 @@
 							confirm_box(false, $user->lang('GROUP_CONFIRM_ADD_USERS', sizeof($name_ary), implode($user->lang['COMMA_SEPARATOR'], $name_ary)), build_hidden_fields($s_hidden_fields));
 						}
 
-						trigger_error($user->lang['NO_USERS_ADDED'] . '<br /><br />' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
+						trigger_error($user->lang['NO_USERS_ADDED'] . '<br><br>' . sprintf($user->lang['RETURN_PAGE'], '<a href="' . $this->u_action . '&amp;action=list&amp;g=' . $group_id . '">', '</a>'));
 
 					break;
 
